RebatedExercise Class Reference

Rebated exercise. More...

`#include <ql/rebatedexercise.hpp>`

Inheritance diagram for RebatedExercise:
[legend]

## Public Member Functions

| RebatedExercise (const Exercise &exercise, const Real rebate=0.0, const Natural rebateSettlementDays=0, const Calendar &rebatePaymentCalendar=NullCalendar(), const BusinessDayConvention rebatePaymentConvention=Following)
| RebatedExercise (const Exercise &exercise, const std::vector< Real > &rebates, const Natural rebateSettlementDays=0, const Calendar &rebatePaymentCalendar=NullCalendar(), const BusinessDayConvention rebatePaymentConvention=Following)
Real | rebate (Size index) const
Date | rebatePaymentDate (Size index) const
const std::vector< Real > & | rebates () const
Public Member Functions inherited from Exercise
| Exercise (Type type)
Type | type () const
Date | date (Size index) const
Date | dateAt (Size index) const
const std::vector< Date > & | dates () const
| Returns all exercise dates.
Date | lastDate () const

## Additional Inherited Members

Public Types inherited from Exercise
enum | Type { American, Bermudan, European }
Protected Attributes inherited from Exercise
std::vector< Date > | dates_
Type | type_

## Detailed Description

Rebated exercise.

in case of exercise the holder receives a rebate (if positive) or pays it (if negative) on the rebate settlement date